## txdbus 1.1.0

=== requirements.txt ===
twisted>=10.1
six

=== debian/changelog ===
txdbus (1.1.0-9) unstable; urgency=medium

  * Team Upload
  * Source-only upload

 -- Alexandre Detiste <tchet@debian.org>  Tue, 30 Sep 2025 21:02:03 +0200

txdbus (1.1.0-8) unstable; urgency=medium

  * Team Upload
  * Fix SyntaxWarning (Closes: #1087124)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 26 Sep 2025 17:12:16 +0200

txdbus (1.1.0-7) unstable; urgency=medium

  * Add patch to fix (un-) marshaling tests on big endian systems
  * Re-enable tests

 -- Martin <debacle@debian.org>  Sat, 14 Sep 2024 23:18:17 +0000

txdbus (1.1.0-6) unstable; urgency=medium

  * Team Upload
  * Add dependency on python3-setuptools (Closes: #1080819)
  * Disable most tests on little endian
  * Use dh-sequence-python3
  * Add d/gbp.conf

 -- Alexandre Detiste <tchet@debian.org>  Fri, 13 Sep 2024 22:11:53 +0200

txdbus (1.1.0-5) unstable; urgency=medium

  * Skip another test, that does not work in restricted environments

 -- Martin <debacle@debian.org>  Mon, 15 Jul 2024 16:26:13 +0000

txdbus (1.1.0-4) unstable; urgency=medium

  * Add debian/clean to delete generated documentation (Closes: #1046605)
  * Add patch to change assertEquals() to assertEqual() (Closes: #1074642)
  * Add Testsuite: autopkgtest-pkg-pybuild

 -- Martin <debacle@debian.org>  Sun, 14 Jul 2024 08:55:41 +0000

txdbus (1.1.0-3) unstable; urgency=medium

  * Add patch to replace getargspec with getfullargspec for Python 3.11

 -- Martin <debacle@debian.org>  Tue, 07 Feb 2023 08:52:48 +0000

txdbus (1.1.0-2) unstable; urgency=medium

  * Source-only upload.

 -- Martin <debacle@debian.org>  Thu, 07 Apr 2022 20:43:26 +0000

txdbus (1.1.0-1) unstable; urgency=low

  * Initial release (Closes: #1006602)

 -- Martin <debacle@debian.org>  Sun, 03 Apr 2022 09:14:51 +0000

=== debian/control ===
Source: txdbus
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Martin <debacle@debian.org>
Build-Depends: asciidoc,
	debhelper-compat (= 13),
	dh-sequence-python3,
	python3,
	python3-setuptools,
	python3-six,
	python3-twisted,
	source-highlight,
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/python-team/packages/txdbus.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/txdbus
Homepage: https://github.com/cocagne/txdbus
Testsuite: autopkgtest-pkg-pybuild

Package: python3-txdbus
Architecture: all
Depends: python3-twisted,
	python3-zope.interface,
	${misc:Depends},
	${python3:Depends},
Provides: ${python3:Provides}
Description: implementation of the DBus protocol for the Twisted networking framework
 TxDBus is a native Python implementation of the DBus protocol for the
 Twisted networking framework.
 .
 In addition to a tutorial, and collection of examples the
 documentation for this project also includes An Overview of the DBus
 Protocol.

Package: python-txdbus-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: implementation of the DBus protocol for the Twisted networking framework, documentation
 TxDBus is a native Python implementation of the DBus protocol for the
 Twisted networking framework.
 .
 In addition to a tutorial, and collection of examples the
 documentation for this project also includes An Overview of the DBus
 Protocol.
 .
 This package provides the documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=txdbus

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
	( cd doc; \
	  asciidoc dbus_overview.asciidoc; \
	  asciidoc tutorial.asciidoc )

=== debian/watch ===
version=4
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,\
  filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/txdbus-$1\.tar\.gz/
  https://github.com/cocagne/txdbus/tags .*/v?(\d\S+)\.tar\.gz
